function I2 = imneg(I)

% IMNEG makes a negative of an image
% by flipping the values around the mean of their range
%
% I - input image (2 or 3 dimensional matrix)
%
% Vlad Atanasiu / 2010.10.09

dim = ndims(I);
sz = size(I);
I2 = zeros(sz);
if dim == 2
    val_min = min(min( I ));
    val_max = max(max( I ));
    I2(:,:) = val_min + val_max - I;
else
    for k = 1:3
        val_min = min(min( I(:,:,k) ));
        val_max = max(max( I(:,:,k) ));
        I2(:,:,k) = val_min + val_max - I(:,:,k);
    end
end
