function [num,val] = numval(IN,datatype)
% NUMVAL Counts & lists the unique elements of a matrix
%
% --------------------------------------------- 
% LEGACY FUNCTION
%
% Matlab 7.4 has a function which does the same and is much faster:
% val = unique(A);          - lists the unique values
% num = length(unique(A));  - get the number of different values
% --------------------------------------------- 
% 
% IN		- input matrix
% datatype	- specifying this argument signifies that all values 
%             are real and positive (datatype can be given any 
%             value, say '1' for simplicity)
%			  The algorithm is faster if you specify this.
% num		- number of different values
% val       - list of all different values (sorted low to high)
%
% Vlad Atanasiu
% atanasiu@alum.mit.edu | http://www.waqwaq.info/atanasiu/
% 200?.00.00 - [fix] - function marked as legacy
% 2007.07.01 - [fix] - revision 2
% 2003.09.09 - creation

num = 0;
val = [];
IN = IN(:);
if nargin == 1  % unspecified values type
	while isempty(IN) ~= 1
        if nargout == 2
            val = [val IN(1)];
        end
		IN(find(IN==IN(1))) = [];
		num = num + 1;
    end
    val = sort(val);
else            % values are real and positive
	num = length(find(sum(histc(IN,0:max(max(IN))),2)));
    if nargout == 2
        for k = min(IN):max(IN)
            if isempty(find(IN == k, 1)) ~= 1;
                val = [val k];
            end
        end
    end
end

